Manifest-Version: 1.0
Bnd-LastModified: 1712778327971
Bundle-ManifestVersion: 2
Bundle-Name: Liferay Portal Kernel
Bundle-SymbolicName: com.liferay.portal.kernel
Bundle-Vendor: Liferay, Inc.
Bundle-Version: 9.82.2
Created-By: 1.8.0_381 (Oracle Corporation)
Export-Package: com.liferay.admin.kernel.util;version="2.0.0";uses:="c
 om.liferay.portal.kernel.model",com.liferay.announcements.kernel.cons
 tants;version="1.0.0",com.liferay.announcements.kernel.exception;vers
 ion="1.0.0";uses:="com.liferay.portal.kernel.exception",com.liferay.a
 nnouncements.kernel.model;version="2.2.0";uses:="com.liferay.exportim
 port.kernel.lar,com.liferay.petra.sql.dsl,com.liferay.petra.sql.dsl.b
 ase,com.liferay.portal.kernel.annotation,com.liferay.portal.kernel.be
 an,com.liferay.portal.kernel.exception,com.liferay.portal.kernel.mode
 l,com.liferay.portal.kernel.model.wrapper,com.liferay.portal.kernel.u
 til",com.liferay.announcements.kernel.service;version="2.6.0";uses:="
 com.liferay.announcements.kernel.model,com.liferay.exportimport.kerne
 l.lar,com.liferay.petra.sql.dsl.query,com.liferay.portal.kernel.dao.o
 rm,com.liferay.portal.kernel.exception,com.liferay.portal.kernel.json
 webservice,com.liferay.portal.kernel.model,com.liferay.portal.kernel.
 search,com.liferay.portal.kernel.security.access.control,com.liferay.
 portal.kernel.service,com.liferay.portal.kernel.service.persistence,c
 om.liferay.portal.kernel.transaction,com.liferay.portal.kernel.util",
 com.liferay.announcements.kernel.service.persistence;version="3.3.0";
 uses:="com.liferay.announcements.kernel.exception,com.liferay.announc
 ements.kernel.model,com.liferay.portal.kernel.dao.orm,com.liferay.por
 tal.kernel.service,com.liferay.portal.kernel.service.persistence,com.
 liferay.portal.kernel.util",com.liferay.announcements.kernel.util;ver
 sion="2.0.0";uses:="com.liferay.portal.kernel.exception,com.liferay.p
 ortal.kernel.model,com.liferay.portal.kernel.security.permission,com.
 liferay.portal.kernel.theme",com.liferay.asset.kernel;version="1.1.2"
 ;uses:="com.liferay.asset.kernel.model,com.liferay.portal.kernel.exce
 ption",com.liferay.asset.kernel.action;version="1.1.1";uses:="com.lif
 eray.asset.kernel.model,com.liferay.portal.kernel.exception,com.lifer
 ay.portal.kernel.security.permission,javax.servlet.http",com.liferay.
 asset.kernel.exception;version="2.1.0";uses:="com.liferay.asset.kerne
 l.model,com.liferay.portal.kernel.exception",com.liferay.asset.kernel
 .model;version="3.6.0";uses:="com.liferay.dynamic.data.mapping.kernel
 ,com.liferay.exportimport.kernel.lar,com.liferay.petra.sql.dsl,com.li
 feray.petra.sql.dsl.base,com.liferay.portal.kernel.annotation,com.lif
 eray.portal.kernel.bean,com.liferay.portal.kernel.exception,com.lifer
 ay.portal.kernel.model,com.liferay.portal.kernel.model.change.trackin
 g,com.liferay.portal.kernel.model.wrapper,com.liferay.portal.kernel.p
 ortlet,com.liferay.portal.kernel.resource.bundle,com.liferay.portal.k
 ernel.security.permission,com.liferay.portal.kernel.theme,com.liferay
 .portal.kernel.util,javax.portlet,javax.servlet,javax.servlet.http",c
 om.liferay.asset.kernel.model.adapter;version="2.1.0";uses:="com.life
 ray.asset.kernel.model,com.liferay.portal.kernel.model",com.liferay.a
 sset.kernel.service;version="2.12.0";uses:="com.liferay.asset.kernel.
 model,com.liferay.asset.kernel.service.persistence,com.liferay.export
 import.kernel.lar,com.liferay.petra.function,com.liferay.petra.sql.ds
 l.query,com.liferay.portal.kernel.cache.thread.local,com.liferay.port
 al.kernel.change.tracking,com.liferay.portal.kernel.dao.orm,com.lifer
 ay.portal.kernel.exception,com.liferay.portal.kernel.increment,com.li
 feray.portal.kernel.json,com.liferay.portal.kernel.jsonwebservice,com
 .liferay.portal.kernel.model,com.liferay.portal.kernel.search,com.lif
 eray.portal.kernel.security.access.control,com.liferay.portal.kernel.
 service,com.liferay.portal.kernel.service.change.tracking,com.liferay
 .portal.kernel.service.permission,com.liferay.portal.kernel.service.p
 ersistence,com.liferay.portal.kernel.service.persistence.change.track
 ing,com.liferay.portal.kernel.systemevent,com.liferay.portal.kernel.t
 ransaction,com.liferay.portal.kernel.util",com.liferay.asset.kernel.s
 ervice.persistence;version="3.6.0";uses:="com.liferay.asset.kernel.ex
 ception,com.liferay.asset.kernel.model,com.liferay.portal.kernel.dao.
 orm,com.liferay.portal.kernel.dao.search,com.liferay.portal.kernel.mo
 del,com.liferay.portal.kernel.service,com.liferay.portal.kernel.servi
 ce.persistence,com.liferay.portal.kernel.service.persistence.change.t
 racking,com.liferay.portal.kernel.util",com.liferay.asset.kernel.util
 ;version="2.0.0",com.liferay.asset.kernel.validator;version="1.1.0";u
 ses:="com.liferay.portal.kernel.exception",com.liferay.background.tas
 k.kernel.util.comparator;version="1.1.0";uses:="com.liferay.portal.ke
 rnel.backgroundtask,com.liferay.portal.kernel.util",com.liferay.count
 er.kernel;version="2.2.0",com.liferay.counter.kernel.exception;versio
 n="1.0.0";uses:="com.liferay.portal.kernel.exception",com.liferay.cou
 nter.kernel.model;version="2.2.0";uses:="com.liferay.petra.sql.dsl,co
 m.liferay.petra.sql.dsl.base,com.liferay.portal.kernel.annotation,com
 .liferay.portal.kernel.bean,com.liferay.portal.kernel.model,com.lifer
 ay.portal.kernel.model.wrapper,com.liferay.portal.kernel.util",com.li
 feray.counter.kernel.service;version="2.1.0";uses:="com.liferay.porta
 l.kernel.exception,com.liferay.portal.kernel.service,com.liferay.port
 al.kernel.transaction",com.liferay.counter.kernel.service.persistence
 ;version="2.0.2",com.liferay.document.library.kernel;version="1.0.0";
 uses:="com.liferay.portal.kernel.exception",com.liferay.document.libr
 ary.kernel.antivirus;version="2.0.0";uses:="com.liferay.portal.kernel
 .exception",com.liferay.document.library.kernel.document.conversion;v
 ersion="1.0.0",com.liferay.document.library.kernel.exception;version=
 "3.1.0";uses:="com.liferay.portal.kernel.exception",com.liferay.docum
 ent.library.kernel.model;version="3.2.0";uses:="com.liferay.dynamic.d
 ata.mapping.kernel,com.liferay.expando.kernel.model,com.liferay.expor
 timport.kernel.lar,com.liferay.petra.sql.dsl,com.liferay.petra.sql.ds
 l.base,com.liferay.portal.kernel.annotation,com.liferay.portal.kernel
 .bean,com.liferay.portal.kernel.exception,com.liferay.portal.kernel.l
 ock,com.liferay.portal.kernel.model,com.liferay.portal.kernel.model.c
 hange.tracking,com.liferay.portal.kernel.model.wrapper,com.liferay.po
 rtal.kernel.repository.model,com.liferay.portal.kernel.trash,com.life
 ray.portal.kernel.util,com.liferay.trash.kernel.model",com.liferay.do
 cument.library.kernel.service;version="3.9.0";uses:="com.liferay.asse
 t.kernel.model,com.liferay.document.library.kernel.exception,com.life
 ray.document.library.kernel.model,com.liferay.dynamic.data.mapping.ke
 rnel,com.liferay.exportimport.kernel.lar,com.liferay.petra.function,c
 om.liferay.petra.sql.dsl.query,com.liferay.portal.kernel.cache.thread
 .local,com.liferay.portal.kernel.change.tracking,com.liferay.portal.k
 ernel.dao.orm,com.liferay.portal.kernel.exception,com.liferay.portal.
 kernel.increment,com.liferay.portal.kernel.jsonwebservice,com.liferay
 .portal.kernel.lock,com.liferay.portal.kernel.messaging.async,com.lif
 eray.portal.kernel.model,com.liferay.portal.kernel.repository.model,c
 om.liferay.portal.kernel.search,com.liferay.portal.kernel.security.ac
 cess.control,com.liferay.portal.kernel.service,com.liferay.portal.ker
 nel.service.change.tracking,com.liferay.portal.kernel.service.permiss
 ion,com.liferay.portal.kernel.service.persistence,com.liferay.portal.
 kernel.service.persistence.change.tracking,com.liferay.portal.kernel.
 systemevent,com.liferay.portal.kernel.transaction,com.liferay.portal.
 kernel.util",com.liferay.document.library.kernel.service.persistence;
 version="4.4.0";uses:="com.liferay.document.library.kernel.exception,
 com.liferay.document.library.kernel.model,com.liferay.portal.kernel.d
 ao.orm,com.liferay.portal.kernel.service,com.liferay.portal.kernel.se
 rvice.persistence,com.liferay.portal.kernel.service.persistence.chang
 e.tracking,com.liferay.portal.kernel.util",com.liferay.document.libra
 ry.kernel.store;version="2.1.0";uses:="com.liferay.portal.kernel.exce
 ption,com.liferay.portal.kernel.transaction",com.liferay.document.lib
 rary.kernel.util;version="2.0.0";uses:="com.liferay.document.library.
 kernel.exception,com.liferay.document.library.kernel.model,com.lifera
 y.exportimport.kernel.lar,com.liferay.portal.kernel.exception,com.lif
 eray.portal.kernel.repository.model,com.liferay.portal.kernel.search,
 com.liferay.portal.kernel.service,com.liferay.portal.kernel.theme,com
 .liferay.portal.kernel.util,com.liferay.portal.kernel.xml,javax.portl
 et",com.liferay.document.library.kernel.util.comparator;version="2.1.
 0";uses:="com.liferay.document.library.kernel.model,com.liferay.porta
 l.kernel.repository.model,com.liferay.portal.kernel.util",com.liferay
 .document.library.kernel.versioning;version="1.0.0";uses:="com.lifera
 y.document.library.kernel.model",com.liferay.dynamic.data.mapping.ker
 nel;version="1.4.0";uses:="com.liferay.expando.kernel.model,com.lifer
 ay.portal.kernel.exception,com.liferay.portal.kernel.json,com.liferay
 .portal.kernel.model,com.liferay.portal.kernel.search,com.liferay.por
 tal.kernel.service,com.liferay.portal.kernel.theme",com.liferay.expan
 do.kernel.exception;version="1.2.0";uses:="com.liferay.portal.kernel.
 exception",com.liferay.expando.kernel.model;version="3.4.0";uses:="co
 m.liferay.petra.sql.dsl,com.liferay.petra.sql.dsl.base,com.liferay.po
 rtal.kernel.annotation,com.liferay.portal.kernel.bean,com.liferay.por
 tal.kernel.exception,com.liferay.portal.kernel.json,com.liferay.porta
 l.kernel.model,com.liferay.portal.kernel.model.change.tracking,com.li
 feray.portal.kernel.model.wrapper,com.liferay.portal.kernel.service,c
 om.liferay.portal.kernel.util",com.liferay.expando.kernel.model.adapt
 er;version="2.3.0";uses:="com.liferay.expando.kernel.model,com.lifera
 y.portal.kernel.model",com.liferay.expando.kernel.service;version="1.
 9.0";uses:="com.liferay.expando.kernel.model,com.liferay.petra.functi
 on,com.liferay.petra.sql.dsl.query,com.liferay.portal.kernel.change.t
 racking,com.liferay.portal.kernel.dao.orm,com.liferay.portal.kernel.e
 xception,com.liferay.portal.kernel.json,com.liferay.portal.kernel.jso
 nwebservice,com.liferay.portal.kernel.model,com.liferay.portal.kernel
 .search,com.liferay.portal.kernel.security.access.control,com.liferay
 .portal.kernel.service,com.liferay.portal.kernel.service.change.track
 ing,com.liferay.portal.kernel.service.persistence,com.liferay.portal.
 kernel.service.persistence.change.tracking,com.liferay.portal.kernel.
 transaction,com.liferay.portal.kernel.util",com.liferay.expando.kerne
 l.service.permission;version="1.0.0";uses:="com.liferay.expando.kerne
 l.model,com.liferay.portal.kernel.exception,com.liferay.portal.kernel
 .security.permission",com.liferay.expando.kernel.service.persistence;
 version="3.2.0";uses:="com.liferay.expando.kernel.exception,com.lifer
 ay.expando.kernel.model,com.liferay.portal.kernel.dao.orm,com.liferay
 .portal.kernel.service,com.liferay.portal.kernel.service.persistence,
 com.liferay.portal.kernel.service.persistence.change.tracking,com.lif
 eray.portal.kernel.util",com.liferay.expando.kernel.util;version="2.0
 .0";uses:="com.liferay.expando.kernel.model,com.liferay.portal.kernel
 .search,com.liferay.portal.kernel.service",com.liferay.exportimport.k
 ernel.background.task;version="1.3.1",com.liferay.exportimport.kernel
 .configuration;version="3.1.0";uses:="com.liferay.exportimport.kernel
 .model,com.liferay.portal.kernel.backgroundtask,com.liferay.portal.ke
 rnel.exception,com.liferay.portal.kernel.model,javax.portlet",com.lif
 eray.exportimport.kernel.configuration.constants;version="1.0.0",com.
 liferay.exportimport.kernel.controller;version="1.0.3";uses:="com.lif
 eray.exportimport.kernel.lar,com.liferay.exportimport.kernel.model",c
 om.liferay.exportimport.kernel.exception;version="1.4.0";uses:="com.l
 iferay.exportimport.kernel.lar,com.liferay.portal.kernel.exception",c
 om.liferay.exportimport.kernel.lar;version="3.7.0";uses:="com.liferay
 .expando.kernel.model,com.liferay.exportimport.kernel.model,com.lifer
 ay.portal.kernel.backgroundtask,com.liferay.portal.kernel.dao.orm,com
 .liferay.portal.kernel.exception,com.liferay.portal.kernel.lock,com.l
 iferay.portal.kernel.model,com.liferay.portal.kernel.repository.model
 ,com.liferay.portal.kernel.service,com.liferay.portal.kernel.theme,co
 m.liferay.portal.kernel.util,com.liferay.portal.kernel.xml,com.lifera
 y.portal.kernel.zip,javax.portlet",com.liferay.exportimport.kernel.li
 fecycle;version="2.0.0";uses:="com.liferay.exportimport.kernel.lar,co
 m.liferay.exportimport.kernel.model,com.liferay.portal.kernel.model",
 com.liferay.exportimport.kernel.lifecycle.constants;version="1.0.0",c
 om.liferay.exportimport.kernel.model;version="2.2.0";uses:="com.lifer
 ay.petra.sql.dsl,com.liferay.petra.sql.dsl.base,com.liferay.portal.ke
 rnel.annotation,com.liferay.portal.kernel.bean,com.liferay.portal.ker
 nel.exception,com.liferay.portal.kernel.model,com.liferay.portal.kern
 el.model.wrapper,com.liferay.portal.kernel.trash,com.liferay.portal.k
 ernel.util,com.liferay.trash.kernel.model",com.liferay.exportimport.k
 ernel.service;version="2.7.0";uses:="com.liferay.exportimport.kernel.
 lar,com.liferay.exportimport.kernel.model,com.liferay.petra.sql.dsl.q
 uery,com.liferay.portal.kernel.dao.orm,com.liferay.portal.kernel.exce
 ption,com.liferay.portal.kernel.jsonwebservice,com.liferay.portal.ker
 nel.model,com.liferay.portal.kernel.search,com.liferay.portal.kernel.
 security.access.control,com.liferay.portal.kernel.service,com.liferay
 .portal.kernel.service.persistence,com.liferay.portal.kernel.systemev
 ent,com.liferay.portal.kernel.transaction,com.liferay.portal.kernel.u
 til,javax.portlet",com.liferay.exportimport.kernel.service.persistenc
 e;version="2.4.0";uses:="com.liferay.exportimport.kernel.exception,co
 m.liferay.exportimport.kernel.model,com.liferay.portal.kernel.dao.orm
 ,com.liferay.portal.kernel.service,com.liferay.portal.kernel.service.
 persistence,com.liferay.portal.kernel.util",com.liferay.exportimport.
 kernel.staging;version="2.3.0";uses:="com.liferay.exportimport.kernel
 .lar,com.liferay.exportimport.kernel.model,com.liferay.portal.kernel.
 exception,com.liferay.portal.kernel.json,com.liferay.portal.kernel.mo
 del,com.liferay.portal.kernel.security.auth,com.liferay.portal.kernel
 .util,com.liferay.portal.kernel.workflow,com.liferay.portal.kernel.xm
 l,javax.portlet,javax.servlet.http",com.liferay.exportimport.kernel.s
 taging.constants;version="1.0.0",com.liferay.exportimport.kernel.stag
 ing.permission;version="1.0.0";uses:="com.liferay.portal.kernel.model
 ,com.liferay.portal.kernel.security.permission",com.liferay.exportimp
 ort.kernel.xstream;version="1.0.3",com.liferay.image.gallery.display.
 kernel.display.context;version="1.0.0";uses:="com.liferay.portal.kern
 el.display.context,com.liferay.portal.kernel.exception,com.liferay.po
 rtal.kernel.repository.model,com.liferay.portal.kernel.servlet.taglib
 .ui,javax.servlet.http",com.liferay.layout.admin.kernel.model;version
 ="1.0.0";uses:="com.liferay.portal.kernel.model",com.liferay.layout.a
 dmin.kernel.util;version="1.2.0";uses:="com.liferay.portal.kernel.exc
 eption,com.liferay.portal.kernel.model,com.liferay.portal.kernel.them
 e,com.liferay.portal.kernel.util,com.liferay.portal.kernel.xml",com.l
 iferay.layout.seo.kernel;version="1.2.0";uses:="com.liferay.portal.ke
 rnel.exception,com.liferay.portal.kernel.model,com.liferay.portal.ker
 nel.util",com.liferay.layouts.admin.kernel.model;version="1.3.0";uses
 :="com.liferay.portal.kernel.model",com.liferay.layouts.admin.kernel.
 util;version="1.3.1";uses:="com.liferay.portal.kernel.exception,com.l
 iferay.portal.kernel.model,com.liferay.portal.kernel.theme,com.lifera
 y.portal.kernel.util,com.liferay.portal.kernel.xml",com.liferay.mail.
 kernel.model;version="1.1.0";uses:="javax.mail.internet",com.liferay.
 mail.kernel.service;version="1.0.0";uses:="com.liferay.mail.kernel.mo
 del,com.liferay.portal.kernel.exception,com.liferay.portal.kernel.tra
 nsaction,javax.mail",com.liferay.mail.kernel.template;version="2.0.0"
 ;uses:="com.liferay.portal.kernel.util",com.liferay.mail.kernel.util;
 version="1.0.0";uses:="com.liferay.mail.kernel.model",com.liferay.mem
 bership.requests.kernel.util.comparator;version="1.1.0";uses:="com.li
 feray.portal.kernel.model,com.liferay.portal.kernel.util",com.liferay
 .mobile.device.rules.kernel;version="1.0.0";uses:="com.liferay.expand
 o.kernel.model,com.liferay.exportimport.kernel.lar",com.liferay.porta
 l.kernel.annotation;version="7.0.0",com.liferay.portal.kernel.aop;ver
 sion="1.0.1",com.liferay.portal.kernel.application.type;version="1.0.
 0",com.liferay.portal.kernel.atom;version="7.0.2";uses:="com.liferay.
 portal.kernel.exception",com.liferay.portal.kernel.audit;version="7.0
 .0";uses:="com.liferay.portal.kernel.exception,com.liferay.portal.ker
 nel.json,com.liferay.portal.kernel.messaging.proxy",com.liferay.porta
 l.kernel.backgroundtask;version="8.1.0";uses:="com.liferay.petra.lang
 ,com.liferay.portal.kernel.backgroundtask.display,com.liferay.portal.
 kernel.exception,com.liferay.portal.kernel.messaging,com.liferay.port
 al.kernel.model,com.liferay.portal.kernel.repository.model,com.lifera
 y.portal.kernel.service,com.liferay.portal.kernel.util",com.liferay.p
 ortal.kernel.backgroundtask.constants;version="1.0.0",com.liferay.por
 tal.kernel.backgroundtask.display;version="2.0.0";uses:="com.liferay.
 portal.kernel.backgroundtask,com.liferay.portal.kernel.json,com.lifer
 ay.portal.kernel.template,javax.servlet.http",com.liferay.portal.kern
 el.bean;version="8.0.0";uses:="javax.portlet,javax.servlet.http",com.
 liferay.portal.kernel.cache;version="9.1.0";uses:="com.liferay.portal
 .kernel.nio.intraband.proxy.annotation,com.liferay.portal.kernel.tran
 saction",com.liferay.portal.kernel.cache.configurator;version="1.0.0"
 ,com.liferay.portal.kernel.cache.index;version="6.2.0";uses:="com.lif
 eray.portal.kernel.cache",com.liferay.portal.kernel.cache.key;version
 ="6.3.0";uses:="com.liferay.petra.string,com.liferay.portal.kernel.ut
 il",com.liferay.portal.kernel.cache.thread.local;version="2.0.0";uses
 :="com.liferay.portal.kernel.transaction",com.liferay.portal.kernel.c
 ache.transactional;version="2.1.0";uses:="com.liferay.portal.kernel.c
 ache,com.liferay.portal.kernel.transaction",com.liferay.portal.kernel
 .cal;version="6.3.0",com.liferay.portal.kernel.captcha;version="7.0.0
 ";uses:="com.liferay.portal.kernel.exception,javax.portlet,javax.serv
 let.http",com.liferay.portal.kernel.change.tracking;version="1.5.0";u
 ses:="com.liferay.petra.lang,com.liferay.portal.kernel.exception",com
 .liferay.portal.kernel.cluster;version="8.0.0";uses:="com.liferay.por
 tal.kernel.concurrent,com.liferay.portal.kernel.exception,com.liferay
 .portal.kernel.messaging,com.liferay.portal.kernel.util",com.liferay.
 portal.kernel.cluster.messaging;version="7.1.0";uses:="com.liferay.po
 rtal.kernel.cluster,com.liferay.portal.kernel.messaging",com.liferay.
 portal.kernel.comment;version="3.0.0";uses:="com.liferay.exportimport
 .kernel.lar,com.liferay.portal.kernel.dao.orm,com.liferay.portal.kern
 el.exception,com.liferay.portal.kernel.model,com.liferay.portal.kerne
 l.security.permission,com.liferay.portal.kernel.service,com.liferay.r
 atings.kernel.model",com.liferay.portal.kernel.comment.display.contex
 t;version="1.0.0";uses:="com.liferay.portal.kernel.comment,com.lifera
 y.portal.kernel.display.context,com.liferay.portal.kernel.exception,j
 avax.servlet.http",com.liferay.portal.kernel.concurrent;version="8.0.
 0",com.liferay.portal.kernel.configuration;version="6.3.0",com.lifera
 y.portal.kernel.dao.db;version="7.10.0";uses:="javax.naming,javax.sql
 ",com.liferay.portal.kernel.dao.jdbc;version="8.0.0";uses:="javax.nam
 ing,javax.sql",com.liferay.portal.kernel.dao.jdbc.aop;version="7.0.0"
 ;uses:="javax.sql",com.liferay.portal.kernel.dao.jdbc.pool.metrics;ve
 rsion="1.0.0",com.liferay.portal.kernel.dao.orm;version="9.8.0";uses:
 ="com.liferay.exportimport.kernel.lar,com.liferay.petra.function,com.
 liferay.petra.sql.dsl.query,com.liferay.portal.kernel.cache,com.lifer
 ay.portal.kernel.exception,com.liferay.portal.kernel.model,com.lifera
 y.portal.kernel.search,com.liferay.portal.kernel.service,com.liferay.
 portal.kernel.service.persistence.impl,com.liferay.portal.kernel.tran
 saction,com.liferay.portal.kernel.util",com.liferay.portal.kernel.dao
 .search;version="8.0.1";uses:="com.liferay.portal.kernel.exception,co
 m.liferay.portal.kernel.util,javax.portlet,javax.servlet,javax.servle
 t.http",com.liferay.portal.kernel.dependency.manager;version="1.2.0",
 com.liferay.portal.kernel.deploy;version="6.3.1";uses:="com.liferay.p
 ortal.kernel.deploy.auto.context,com.liferay.portal.kernel.plugin",co
 m.liferay.portal.kernel.deploy.auto;version="7.1.0";uses:="com.lifera
 y.portal.kernel.deploy.auto.context,com.liferay.portal.kernel.excepti
 on",com.liferay.portal.kernel.deploy.auto.context;version="6.3.0";use
 s:="com.liferay.portal.kernel.plugin",com.liferay.portal.kernel.deplo
 y.hot;version="7.1.2";uses:="com.liferay.portal.kernel.exception,com.
 liferay.portal.kernel.messaging,com.liferay.portal.kernel.plugin,com.
 liferay.portal.kernel.util,javax.servlet",com.liferay.portal.kernel.d
 iff;version="1.0.0";uses:="com.liferay.portal.kernel.exception",com.l
 iferay.portal.kernel.display.context;version="1.0.0";uses:="com.lifer
 ay.registry,javax.servlet.http",com.liferay.portal.kernel.display.con
 text.util;version="1.1.0";uses:="com.liferay.portal.kernel.model,com.
 liferay.portal.kernel.portlet,com.liferay.portal.kernel.security.perm
 ission,com.liferay.portal.kernel.theme,javax.servlet.http",com.lifera
 y.portal.kernel.editor;version="7.0.0",com.liferay.portal.kernel.edit
 or.configuration;version="1.1.0";uses:="com.liferay.portal.kernel.jso
 n,com.liferay.portal.kernel.portlet,com.liferay.portal.kernel.theme",
 com.liferay.portal.kernel.editor.constants;version="1.0.0",com.lifera
 y.portal.kernel.events;version="6.3.0";uses:="com.liferay.portal.kern
 el.exception,javax.portlet,javax.servlet.http",com.liferay.portal.ker
 nel.exception;version="9.7.0";uses:="com.liferay.portal.kernel.model,
 com.liferay.portal.kernel.security.auth,com.liferay.portal.kernel.uti
 l",com.liferay.portal.kernel.facebook;version="7.0.0";uses:="com.life
 ray.portal.kernel.json,javax.portlet",com.liferay.portal.kernel.flash
 ;version="6.2.0",com.liferay.portal.kernel.format;version="7.0.0",com
 .liferay.portal.kernel.group.capability;version="1.0.0";uses:="com.li
 feray.portal.kernel.model",com.liferay.portal.kernel.image;version="7
 .2.2";uses:="com.liferay.portal.kernel.exception,com.liferay.portal.k
 ernel.model,javax.servlet",com.liferay.portal.kernel.increment;versio
 n="7.1.0";uses:="com.liferay.petra.lang",com.liferay.portal.kernel.in
 stance.lifecycle;version="2.0.0";uses:="com.liferay.portal.kernel.mod
 el",com.liferay.portal.kernel.interval;version="1.0.0";uses:="com.lif
 eray.portal.kernel.exception",com.liferay.portal.kernel.io;version="8
 .0.0",com.liferay.portal.kernel.io.constants;version="1.0.0",com.life
 ray.portal.kernel.io.unsync;version="7.0.0";uses:="com.liferay.portal
 .kernel.util",com.liferay.portal.kernel.javadoc;version="7.0.0",com.l
 iferay.portal.kernel.jazzy;version="1.0.0",com.liferay.portal.kernel.
 jmx.model;version="7.0.0";uses:="javax.management",com.liferay.portal
 .kernel.jndi;version="7.0.0";uses:="javax.naming",com.liferay.portal.
 kernel.json;version="8.11.0";uses:="com.liferay.petra.function,com.li
 feray.portal.kernel.exception",com.liferay.portal.kernel.jsonwebservi
 ce;version="7.0.0";uses:="com.liferay.portal.kernel.exception,com.lif
 eray.portal.kernel.util,javax.servlet,javax.servlet.http",com.liferay
 .portal.kernel.language;version="8.3.0";uses:="com.liferay.portal.ker
 nel.exception,com.liferay.portal.kernel.resource.bundle,com.liferay.p
 ortal.kernel.util,javax.portlet,javax.servlet.http",com.liferay.porta
 l.kernel.language.constants;version="1.0.0",com.liferay.portal.kernel
 .layoutconfiguration.util;version="1.2.1";uses:="com.liferay.portal.k
 ernel.layoutconfiguration.util.xml,com.liferay.portal.kernel.template
 ,com.liferay.portal.kernel.util,javax.servlet.http",com.liferay.porta
 l.kernel.layoutconfiguration.util.xml;version="1.0.0",com.liferay.por
 tal.kernel.license;version="1.0.0",com.liferay.portal.kernel.license.
 messaging;version="2.0.0";uses:="com.liferay.portal.kernel.json,com.l
 iferay.portal.kernel.messaging",com.liferay.portal.kernel.license.uti
 l;version="1.0.0";uses:="com.liferay.portal.kernel.json,com.liferay.p
 ortal.kernel.license",com.liferay.portal.kernel.lock;version="7.3.0";
 uses:="com.liferay.portal.kernel.exception",com.liferay.portal.kernel
 .log;version="7.0.0",com.liferay.portal.kernel.lpkg;version="2.0.0",c
 om.liferay.portal.kernel.management;version="8.0.0";uses:="com.lifera
 y.portal.kernel.exception",com.liferay.portal.kernel.management.jmx;v
 ersion="6.2.0";uses:="com.liferay.portal.kernel.jmx.model,com.liferay
 .portal.kernel.management,javax.management",com.liferay.portal.kernel
 .messaging;version="9.1.0";uses:="com.liferay.petra.executor,com.life
 ray.portal.kernel.exception,com.liferay.portal.kernel.messaging.sende
 r,com.liferay.registry",com.liferay.portal.kernel.messaging.async;ver
 sion="6.2.0",com.liferay.portal.kernel.messaging.config;version="8.1.
 0";uses:="com.liferay.portal.kernel.messaging",com.liferay.portal.ker
 nel.messaging.proxy;version="8.2.0";uses:="com.liferay.petra.lang,com
 .liferay.portal.kernel.messaging,com.liferay.portal.kernel.messaging.
 sender,com.liferay.portal.kernel.spring.aop",com.liferay.portal.kerne
 l.messaging.sender;version="8.0.0";uses:="com.liferay.portal.kernel.m
 essaging",com.liferay.portal.kernel.metadata;version="7.0.1";uses:="c
 om.liferay.dynamic.data.mapping.kernel,com.liferay.exportimport.kerne
 l.lar,com.liferay.portal.kernel.exception,com.liferay.portal.kernel.r
 epository.model,com.liferay.portal.kernel.xml",com.liferay.portal.ker
 nel.microsofttranslator;version="7.0.0";uses:="com.liferay.portal.ker
 nel.exception",com.liferay.portal.kernel.mobile.device;version="9.0.0
 ";uses:="javax.servlet.http",com.liferay.portal.kernel.model;version=
 "5.7.0";uses:="com.liferay.asset.kernel.model,com.liferay.expando.ker
 nel.model,com.liferay.exportimport.kernel.lar,com.liferay.petra.sql.d
 sl,com.liferay.petra.sql.dsl.base,com.liferay.portal.kernel.annotatio
 n,com.liferay.portal.kernel.application.type,com.liferay.portal.kerne
 l.atom,com.liferay.portal.kernel.bean,com.liferay.portal.kernel.excep
 tion,com.liferay.portal.kernel.json,com.liferay.portal.kernel.model.c
 hange.tracking,com.liferay.portal.kernel.model.portlet,com.liferay.po
 rtal.kernel.model.wrapper,com.liferay.portal.kernel.notifications,com
 .liferay.portal.kernel.plugin,com.liferay.portal.kernel.poller,com.li
 feray.portal.kernel.pop,com.liferay.portal.kernel.portlet,com.liferay
 .portal.kernel.scheduler,com.liferay.portal.kernel.search,com.liferay
 .portal.kernel.security.permission,com.liferay.portal.kernel.security
 .permission.propagator,com.liferay.portal.kernel.service,com.liferay.
 portal.kernel.service.persistence,com.liferay.portal.kernel.servlet,c
 om.liferay.portal.kernel.template,com.liferay.portal.kernel.theme,com
 .liferay.portal.kernel.trash,com.liferay.portal.kernel.util,com.lifer
 ay.portal.kernel.webdav,com.liferay.portal.kernel.workflow,com.lifera
 y.portal.kernel.xml,com.liferay.portal.kernel.xmlrpc,com.liferay.soci
 al.kernel.model,com.liferay.trash.kernel.model,javax.portlet,javax.se
 rvlet,javax.servlet.http",com.liferay.portal.kernel.model.adapter;ver
 sion="3.1.0";uses:="com.liferay.portal.kernel.model",com.liferay.port
 al.kernel.model.adapter.builder;version="1.0.0",com.liferay.portal.ke
 rnel.model.cache;version="1.0.0",com.liferay.portal.kernel.model.chan
 ge.tracking;version="1.0.0";uses:="com.liferay.portal.kernel.model",c
 om.liferay.portal.kernel.model.dao;version="2.5.0",com.liferay.portal
 .kernel.model.impl;version="3.4.0";uses:="com.liferay.expando.kernel.
 model,com.liferay.portal.kernel.exception,com.liferay.portal.kernel.i
 o.unsync,com.liferay.portal.kernel.model,com.liferay.portal.kernel.se
 curity.permission,com.liferay.portal.kernel.service,javax.servlet,jav
 ax.servlet.http",com.liferay.portal.kernel.model.portlet;version="2.0
 .0";uses:="com.liferay.petra.string,javax.portlet",com.liferay.portal
 .kernel.model.role;version="1.1.0",com.liferay.portal.kernel.model.ve
 rsion;version="2.0.0",com.liferay.portal.kernel.model.wrapper;version
 ="1.1.0";uses:="com.liferay.expando.kernel.model,com.liferay.portal.k
 ernel.model,com.liferay.portal.kernel.service",com.liferay.portal.ker
 nel.module.configuration;version="2.0.0";uses:="com.liferay.portal.ke
 rnel.exception,com.liferay.portal.kernel.model,com.liferay.portal.ker
 nel.settings",com.liferay.portal.kernel.module.framework;version="1.4
 .0",com.liferay.portal.kernel.module.framework.service;version="1.0.1
 ";uses:="com.liferay.portal.kernel.transaction,com.liferay.portal.ker
 nel.util",com.liferay.portal.kernel.monitoring;version="8.0.0";uses:=
 "com.liferay.portal.kernel.exception,javax.portlet",com.liferay.porta
 l.kernel.nio.intraband;version="7.0.0",com.liferay.portal.kernel.nio.
 intraband.blocking;version="6.3.0";uses:="com.liferay.portal.kernel.n
 io.intraband",com.liferay.portal.kernel.nio.intraband.mailbox;version
 ="6.3.0";uses:="com.liferay.portal.kernel.nio.intraband",com.liferay.
 portal.kernel.nio.intraband.messaging;version="7.0.0";uses:="com.life
 ray.portal.kernel.messaging,com.liferay.portal.kernel.nio.intraband,c
 om.liferay.portal.kernel.process,com.liferay.portal.kernel.resiliency
 .spi",com.liferay.portal.kernel.nio.intraband.nonblocking;version="6.
 3.0";uses:="com.liferay.portal.kernel.nio.intraband",com.liferay.port
 al.kernel.nio.intraband.proxy;version="1.0.0";uses:="com.liferay.port
 al.kernel.io,com.liferay.portal.kernel.nio.intraband",com.liferay.por
 tal.kernel.nio.intraband.proxy.annotation;version="1.0.0",com.liferay
 .portal.kernel.nio.intraband.rpc;version="7.0.0";uses:="com.liferay.p
 ortal.kernel.concurrent,com.liferay.portal.kernel.nio.intraband,com.l
 iferay.portal.kernel.process",com.liferay.portal.kernel.nio.intraband
 .welder;version="6.2.0";uses:="com.liferay.portal.kernel.nio.intraban
 d",com.liferay.portal.kernel.nio.intraband.welder.fifo;version="6.2.0
 ";uses:="com.liferay.portal.kernel.nio.intraband,com.liferay.portal.k
 ernel.nio.intraband.welder",com.liferay.portal.kernel.nio.intraband.w
 elder.socket;version="6.2.0";uses:="com.liferay.portal.kernel.nio.int
 raband,com.liferay.portal.kernel.nio.intraband.welder,com.liferay.por
 tal.kernel.util",com.liferay.portal.kernel.notifications;version="8.0
 .0";uses:="com.liferay.asset.kernel.model,com.liferay.portal.kernel.e
 xception,com.liferay.portal.kernel.json,com.liferay.portal.kernel.mod
 el,com.liferay.portal.kernel.service",com.liferay.portal.kernel.oauth
 ;version="6.2.0";uses:="com.liferay.portal.kernel.exception",com.life
 ray.portal.kernel.openid;version="1.0.0",com.liferay.portal.kernel.pa
 rsers.bbcode;version="7.0.0",com.liferay.portal.kernel.patcher;versio
 n="7.2.1";uses:="com.liferay.portal.kernel.exception",com.liferay.por
 tal.kernel.plugin;version="6.4.0";uses:="com.liferay.portal.kernel.ex
 ception,com.liferay.portal.kernel.util",com.liferay.portal.kernel.pol
 ler;version="7.0.0";uses:="com.liferay.portal.kernel.exception,com.li
 feray.portal.kernel.json,com.liferay.portal.kernel.messaging,com.life
 ray.portal.kernel.nio.intraband.proxy.annotation",com.liferay.portal.
 kernel.poller.comet;version="7.0.0";uses:="com.liferay.portal.kernel.
 exception,javax.servlet.http",com.liferay.portal.kernel.pop;version="
 6.3.0";uses:="com.liferay.portal.kernel.exception,javax.mail",com.lif
 eray.portal.kernel.portlet;version="10.6.0";uses:="com.liferay.asset.
 kernel.model,com.liferay.expando.kernel.model,com.liferay.exportimpor
 t.kernel.lar,com.liferay.portal.kernel.atom,com.liferay.portal.kernel
 .exception,com.liferay.portal.kernel.json,com.liferay.portal.kernel.m
 odel,com.liferay.portal.kernel.notifications,com.liferay.portal.kerne
 l.poller,com.liferay.portal.kernel.pop,com.liferay.portal.kernel.sche
 duler.messaging,com.liferay.portal.kernel.search,com.liferay.portal.k
 ernel.security.permission,com.liferay.portal.kernel.security.permissi
 on.propagator,com.liferay.portal.kernel.servlet,com.liferay.portal.ke
 rnel.settings,com.liferay.portal.kernel.spring.osgi,com.liferay.porta
 l.kernel.template,com.liferay.portal.kernel.theme,com.liferay.portal.
 kernel.trash,com.liferay.portal.kernel.util,com.liferay.portal.kernel
 .webdav,com.liferay.portal.kernel.workflow,com.liferay.portal.kernel.
 xml,com.liferay.portal.kernel.xmlrpc,com.liferay.registry.collections
 ,com.liferay.social.kernel.model,javax.portlet,javax.portlet.annotati
 ons,javax.portlet.filter,javax.servlet,javax.servlet.http",com.lifera
 y.portal.kernel.portlet.async;version="1.0.1";uses:="javax.portlet",c
 om.liferay.portal.kernel.portlet.bridges.mvc;version="3.0.0";uses:="c
 om.liferay.portal.kernel.portlet,javax.portlet",com.liferay.portal.ke
 rnel.portlet.bridges.mvc.constants;version="1.0.0",com.liferay.portal
 .kernel.portlet.configuration.icon;version="1.1.0";uses:="com.liferay
 .portal.kernel.model,com.liferay.registry,com.liferay.registry.collec
 tions,javax.portlet,javax.servlet,javax.servlet.http",com.liferay.por
 tal.kernel.portlet.configuration.icon.locator;version="1.0.0";uses:="
 javax.portlet",com.liferay.portal.kernel.portlet.constants;version="1
 .0.0",com.liferay.portal.kernel.portlet.toolbar;version="1.0.0";uses:
 ="com.liferay.portal.kernel.servlet.taglib.ui,javax.portlet",com.life
 ray.portal.kernel.portlet.toolbar.contributor;version="1.1.0";uses:="
 com.liferay.portal.kernel.servlet.taglib.ui,javax.portlet",com.lifera
 y.portal.kernel.portlet.toolbar.contributor.locator;version="1.0.0";u
 ses:="com.liferay.portal.kernel.portlet.toolbar.contributor,javax.por
 tlet",com.liferay.portal.kernel.portletdisplaytemplate;version="6.4.1
 ";uses:="com.liferay.dynamic.data.mapping.kernel,com.liferay.portal.k
 ernel.template,javax.servlet.http",com.liferay.portal.kernel.portletf
 ilerepository;version="2.0.2";uses:="com.liferay.portal.kernel.except
 ion,com.liferay.portal.kernel.model,com.liferay.portal.kernel.reposit
 ory.model,com.liferay.portal.kernel.search,com.liferay.portal.kernel.
 service,com.liferay.portal.kernel.theme,com.liferay.portal.kernel.uti
 l",com.liferay.portal.kernel.process;version="8.0.0";uses:="com.lifer
 ay.portal.kernel.concurrent,com.liferay.portal.kernel.io",com.liferay
 .portal.kernel.process.local;version="2.0.0";uses:="com.liferay.porta
 l.kernel.concurrent,com.liferay.portal.kernel.process",com.liferay.po
 rtal.kernel.regex;version="1.0.0",com.liferay.portal.kernel.repositor
 y;version="9.2.0";uses:="com.liferay.asset.kernel.service,com.liferay
 .document.library.kernel.model,com.liferay.document.library.kernel.se
 rvice,com.liferay.portal.kernel.exception,com.liferay.portal.kernel.l
 ock,com.liferay.portal.kernel.model,com.liferay.portal.kernel.reposit
 ory.capabilities,com.liferay.portal.kernel.repository.model,com.lifer
 ay.portal.kernel.resource.bundle,com.liferay.portal.kernel.search,com
 .liferay.portal.kernel.service,com.liferay.portal.kernel.util",com.li
 feray.portal.kernel.repository.capabilities;version="2.0.0";uses:="co
 m.liferay.portal.kernel.exception,com.liferay.portal.kernel.repositor
 y,com.liferay.portal.kernel.repository.event,com.liferay.portal.kerne
 l.repository.model,com.liferay.portal.kernel.service,com.liferay.port
 al.kernel.util",com.liferay.portal.kernel.repository.event;version="1
 .1.0";uses:="com.liferay.portal.kernel.exception,com.liferay.portal.k
 ernel.repository.model,com.liferay.portal.kernel.repository.registry"
 ,com.liferay.portal.kernel.repository.http.header.customizer;version=
 "1.0.0";uses:="com.liferay.portal.kernel.repository.model",com.lifera
 y.portal.kernel.repository.model;version="8.0.0";uses:="com.liferay.e
 xpando.kernel.model,com.liferay.exportimport.kernel.lar,com.liferay.p
 ortal.kernel.exception,com.liferay.portal.kernel.json,com.liferay.por
 tal.kernel.lock,com.liferay.portal.kernel.model,com.liferay.portal.ke
 rnel.repository.capabilities,com.liferay.portal.kernel.security.permi
 ssion,com.liferay.portal.kernel.util",com.liferay.portal.kernel.repos
 itory.proxy;version="3.1.0";uses:="com.liferay.asset.kernel.service,c
 om.liferay.document.library.kernel.model,com.liferay.document.library
 .kernel.service,com.liferay.expando.kernel.model,com.liferay.exportim
 port.kernel.lar,com.liferay.portal.kernel.exception,com.liferay.porta
 l.kernel.lock,com.liferay.portal.kernel.repository,com.liferay.portal
 .kernel.repository.capabilities,com.liferay.portal.kernel.repository.
 model,com.liferay.portal.kernel.search,com.liferay.portal.kernel.secu
 rity.permission,com.liferay.portal.kernel.service,com.liferay.portal.
 kernel.util",com.liferay.portal.kernel.repository.registry;version="1
 .1.0";uses:="com.liferay.portal.kernel.repository,com.liferay.portal.
 kernel.repository.capabilities,com.liferay.portal.kernel.repository.e
 vent",com.liferay.portal.kernel.repository.search;version="7.0.0";use
 s:="com.liferay.portal.kernel.search",com.liferay.portal.kernel.repos
 itory.util;version="2.1.0";uses:="com.liferay.portal.kernel.repositor
 y.model",com.liferay.portal.kernel.resiliency;version="6.2.0",com.lif
 eray.portal.kernel.resiliency.mpi;version="6.3.0";uses:="com.liferay.
 portal.kernel.nio.intraband,com.liferay.portal.kernel.resiliency.spi,
 com.liferay.portal.kernel.resiliency.spi.provider",com.liferay.portal
 .kernel.resiliency.spi;version="6.3.0";uses:="com.liferay.portal.kern
 el.nio.intraband,com.liferay.portal.kernel.resiliency.mpi,com.liferay
 .portal.kernel.resiliency.spi.agent,com.liferay.portal.kernel.xml",co
 m.liferay.portal.kernel.resiliency.spi.agent;version="6.2.0";uses:="c
 om.liferay.portal.kernel.nio.intraband,com.liferay.portal.kernel.resi
 liency,com.liferay.portal.kernel.resiliency.spi,javax.servlet.http",c
 om.liferay.portal.kernel.resiliency.spi.agent.annotation;version="6.2
 .0",com.liferay.portal.kernel.resiliency.spi.cache;version="1.0.0";us
 es:="com.liferay.portal.kernel.cache",com.liferay.portal.kernel.resil
 iency.spi.provider;version="6.2.0";uses:="com.liferay.portal.kernel.n
 io.intraband,com.liferay.portal.kernel.nio.intraband.welder,com.lifer
 ay.portal.kernel.resiliency,com.liferay.portal.kernel.resiliency.spi,
 com.liferay.portal.kernel.resiliency.spi.remote",com.liferay.portal.k
 ernel.resiliency.spi.remote;version="7.0.0";uses:="com.liferay.portal
 .kernel.nio.intraband,com.liferay.portal.kernel.nio.intraband.welder,
 com.liferay.portal.kernel.process,com.liferay.portal.kernel.process.l
 ocal,com.liferay.portal.kernel.resiliency.mpi,com.liferay.portal.kern
 el.resiliency.spi,com.liferay.portal.kernel.resiliency.spi.agent",com
 .liferay.portal.kernel.resource;version="6.3.0",com.liferay.portal.ke
 rnel.resource.bundle;version="1.0.0",com.liferay.portal.kernel.resour
 ce.manager;version="1.0.0";uses:="com.liferay.portal.kernel.resource"
 ,com.liferay.portal.kernel.sanitizer;version="8.0.0";uses:="com.lifer
 ay.portal.kernel.exception",com.liferay.portal.kernel.scheduler;versi
 on="9.1.0";uses:="com.liferay.portal.kernel.exception,com.liferay.por
 tal.kernel.messaging,com.liferay.portal.kernel.messaging.proxy,com.li
 feray.portal.kernel.scheduler.messaging,com.liferay.portal.kernel.uti
 l,javax.portlet",com.liferay.portal.kernel.scheduler.config;version="
 7.0.0";uses:="com.liferay.portal.kernel.scheduler",com.liferay.portal
 .kernel.scheduler.messaging;version="8.0.0";uses:="com.liferay.portal
 .kernel.messaging,com.liferay.portal.kernel.scheduler",com.liferay.po
 rtal.kernel.scripting;version="8.0.0";uses:="com.liferay.portal.kerne
 l.exception,javax.portlet",com.liferay.portal.kernel.search;version="
 9.7.0";uses:="com.liferay.asset.kernel.model,com.liferay.expando.kern
 el.model,com.liferay.petra.lang,com.liferay.petra.string,com.liferay.
 portal.kernel.backgroundtask,com.liferay.portal.kernel.comment,com.li
 feray.portal.kernel.exception,com.liferay.portal.kernel.json,com.life
 ray.portal.kernel.messaging,com.liferay.portal.kernel.messaging.proxy
 ,com.liferay.portal.kernel.model,com.liferay.portal.kernel.portlet,co
 m.liferay.portal.kernel.repository.model,com.liferay.portal.kernel.se
 arch.facet,com.liferay.portal.kernel.search.filter,com.liferay.portal
 .kernel.search.geolocation,com.liferay.portal.kernel.search.messaging
 ,com.liferay.portal.kernel.search.query,com.liferay.portal.kernel.sea
 rch.suggest,com.liferay.portal.kernel.security.permission,com.liferay
 .portal.kernel.theme,com.liferay.portal.kernel.util,com.liferay.porta
 l.kernel.xml,javax.portlet,javax.servlet.http",com.liferay.portal.ker
 nel.search.analysis;version="2.0.0";uses:="com.liferay.portal.kernel.
 search",com.liferay.portal.kernel.search.background.task;version="2.0
 .0",com.liferay.portal.kernel.search.dummy;version="3.0.0";uses:="com
 .liferay.portal.kernel.search,com.liferay.portal.kernel.search.filter
 ,com.liferay.portal.kernel.search.suggest,com.liferay.portal.kernel.s
 ecurity.permission,javax.portlet",com.liferay.portal.kernel.search.fa
 cet;version="8.0.0";uses:="com.liferay.portal.kernel.json,com.liferay
 .portal.kernel.search,com.liferay.portal.kernel.search.facet.collecto
 r,com.liferay.portal.kernel.search.facet.config,com.liferay.portal.ke
 rnel.search.facet.util,com.liferay.portal.kernel.search.filter",com.l
 iferay.portal.kernel.search.facet.collector;version="6.3.0",com.lifer
 ay.portal.kernel.search.facet.config;version="8.0.0";uses:="com.lifer
 ay.portal.kernel.json",com.liferay.portal.kernel.search.facet.faceted
 .searcher;version="2.0.0";uses:="com.liferay.portal.kernel.search",co
 m.liferay.portal.kernel.search.facet.util;version="7.0.0";uses:="com.
 liferay.portal.kernel.search,com.liferay.portal.kernel.search.facet",
 com.liferay.portal.kernel.search.filter;version="1.0.0";uses:="com.li
 feray.portal.kernel.search,com.liferay.portal.kernel.search.geolocati
 on",com.liferay.portal.kernel.search.generic;version="3.0.0";uses:="c
 om.liferay.portal.kernel.search,com.liferay.portal.kernel.search.filt
 er,com.liferay.portal.kernel.search.query",com.liferay.portal.kernel.
 search.geolocation;version="1.0.0",com.liferay.portal.kernel.search.h
 ighlight;version="1.0.0";uses:="com.liferay.portal.kernel.search",com
 .liferay.portal.kernel.search.hits;version="2.0.0";uses:="com.liferay
 .portal.kernel.search",com.liferay.portal.kernel.search.messaging;ver
 sion="7.0.0";uses:="com.liferay.portal.kernel.messaging.proxy,com.lif
 eray.portal.kernel.search",com.liferay.portal.kernel.search.query;ver
 sion="1.0.0";uses:="com.liferay.portal.kernel.search,com.liferay.port
 al.kernel.search.generic",com.liferay.portal.kernel.search.queue;vers
 ion="3.0.0";uses:="com.liferay.portal.kernel.search",com.liferay.port
 al.kernel.search.reindexer;version="1.0.0",com.liferay.portal.kernel.
 search.result;version="1.0.0";uses:="com.liferay.portal.kernel.except
 ion,com.liferay.portal.kernel.search,javax.portlet",com.liferay.porta
 l.kernel.search.suggest;version="2.0.0";uses:="com.liferay.portal.ker
 nel.messaging.proxy,com.liferay.portal.kernel.search",com.liferay.por
 tal.kernel.security;version="6.2.0",com.liferay.portal.kernel.securit
 y.access.control;version="2.0.0";uses:="com.liferay.portal.kernel.exc
 eption,com.liferay.portal.kernel.security.auth,com.liferay.portal.ker
 nel.security.auth.verifier,javax.servlet.http",com.liferay.portal.ker
 nel.security.auth;version="2.7.0";uses:="com.liferay.petra.lang,com.l
 iferay.portal.kernel.exception,com.liferay.portal.kernel.model,com.li
 feray.portal.kernel.portlet,com.liferay.portal.kernel.security.auth.v
 erifier,com.liferay.portal.kernel.security.permission,com.liferay.reg
 istry,com.liferay.registry.collections,javax.servlet.http",com.lifera
 y.portal.kernel.security.auth.http;version="1.1.0";uses:="com.liferay
 .portal.kernel.exception,javax.servlet.http",com.liferay.portal.kerne
 l.security.auth.session;version="1.0.0";uses:="com.liferay.portal.ker
 nel.exception,javax.servlet.http",com.liferay.portal.kernel.security.
 auth.tunnel;version="1.0.0";uses:="com.liferay.portal.kernel.security
 .auth,javax.servlet.http",com.liferay.portal.kernel.security.auth.ver
 ifier;version="1.1.0";uses:="com.liferay.portal.kernel.security.auth"
 ,com.liferay.portal.kernel.security.auto.login;version="2.0.0";uses:=
 "com.liferay.portal.kernel.exception,javax.servlet.http",com.liferay.
 portal.kernel.security.exportimport;version="1.0.0",com.liferay.porta
 l.kernel.security.jaas;version="6.2.0";uses:="com.liferay.portal.kern
 el.servlet,javax.security.auth,javax.security.auth.callback,javax.sec
 urity.auth.login,javax.security.auth.spi",com.liferay.portal.kernel.s
 ecurity.ldap;version="1.0.0";uses:="javax.naming.directory",com.lifer
 ay.portal.kernel.security.membershippolicy;version="1.0.0";uses:="com
 .liferay.asset.kernel.model,com.liferay.portal.kernel.exception,com.l
 iferay.portal.kernel.model,com.liferay.portal.kernel.security.permiss
 ion,com.liferay.portal.kernel.util",com.liferay.portal.kernel.securit
 y.permission;version="3.5.0";uses:="com.liferay.petra.sql.dsl,com.lif
 eray.petra.sql.dsl.expression,com.liferay.petra.sql.dsl.query,com.lif
 eray.portal.kernel.exception,com.liferay.portal.kernel.model,com.life
 ray.portal.kernel.security.permission.contributor,com.liferay.portal.
 kernel.security.permission.propagator,com.liferay.portal.kernel.xml,j
 avax.servlet.http",com.liferay.portal.kernel.security.permission.comp
 arator;version="1.0.0",com.liferay.portal.kernel.security.permission.
 contributor;version="1.0.0";uses:="com.liferay.portal.kernel.model,co
 m.liferay.portal.kernel.security.permission",com.liferay.portal.kerne
 l.security.permission.propagator;version="1.0.0";uses:="com.liferay.p
 ortal.kernel.exception,javax.portlet",com.liferay.portal.kernel.secur
 ity.permission.resource;version="1.1.0";uses:="com.liferay.exportimpo
 rt.kernel.staging.permission,com.liferay.petra.function,com.liferay.p
 ortal.kernel.exception,com.liferay.portal.kernel.model,com.liferay.po
 rtal.kernel.security.auth,com.liferay.portal.kernel.security.permissi
 on,com.liferay.portal.kernel.service,com.liferay.portal.kernel.workfl
 ow.permission",com.liferay.portal.kernel.security.permission.resource
 .definition;version="1.0.1";uses:="com.liferay.portal.kernel.exceptio
 n,com.liferay.portal.kernel.model,com.liferay.portal.kernel.security.
 permission.resource",com.liferay.portal.kernel.security.permission.wr
 apper;version="1.0.0";uses:="com.liferay.portal.kernel.model,com.life
 ray.portal.kernel.security.permission,com.liferay.portal.kernel.secur
 ity.permission.contributor",com.liferay.portal.kernel.security.pwd;ve
 rsion="2.0.0";uses:="com.liferay.portal.kernel.exception,com.liferay.
 portal.kernel.model",com.liferay.portal.kernel.security.service.acces
 s.policy;version="1.1.0",com.liferay.portal.kernel.security.sso;versi
 on="1.0.0";uses:="javax.servlet.http",com.liferay.portal.kernel.secur
 ity.xml;version="1.1.0";uses:="javax.xml.parsers,javax.xml.stream,jav
 ax.xml.transform,org.xml.sax",com.liferay.portal.kernel.service;versi
 on="4.21.0";uses:="com.liferay.announcements.kernel.model,com.liferay
 .expando.kernel.model,com.liferay.exportimport.kernel.lar,com.liferay
 .petra.function,com.liferay.petra.sql.dsl.query,com.liferay.portal.ke
 rnel.cache.thread.local,com.liferay.portal.kernel.change.tracking,com
 .liferay.portal.kernel.cluster,com.liferay.portal.kernel.dao.orm,com.
 liferay.portal.kernel.exception,com.liferay.portal.kernel.json,com.li
 feray.portal.kernel.jsonwebservice,com.liferay.portal.kernel.messagin
 g.async,com.liferay.portal.kernel.model,com.liferay.portal.kernel.not
 ifications,com.liferay.portal.kernel.plugin,com.liferay.portal.kernel
 .portlet,com.liferay.portal.kernel.repository.model,com.liferay.porta
 l.kernel.search,com.liferay.portal.kernel.security.access.control,com
 .liferay.portal.kernel.security.auth,com.liferay.portal.kernel.securi
 ty.permission,com.liferay.portal.kernel.service.change.tracking,com.l
 iferay.portal.kernel.service.configuration,com.liferay.portal.kernel.
 service.permission,com.liferay.portal.kernel.service.persistence,com.
 liferay.portal.kernel.service.persistence.change.tracking,com.liferay
 .portal.kernel.settings,com.liferay.portal.kernel.spring.aop,com.life
 ray.portal.kernel.systemevent,com.liferay.portal.kernel.theme,com.lif
 eray.portal.kernel.transaction,com.liferay.portal.kernel.upgrade,com.
 liferay.portal.kernel.upload,com.liferay.portal.kernel.util,com.lifer
 ay.portal.kernel.xml,javax.portlet,javax.servlet,javax.servlet.http",
 com.liferay.portal.kernel.service.change.tracking;version="1.0.0";use
 s:="com.liferay.petra.function,com.liferay.portal.kernel.model.change
 .tracking,com.liferay.portal.kernel.service.persistence.change.tracki
 ng,com.liferay.portal.kernel.transaction",com.liferay.portal.kernel.s
 ervice.configuration;version="1.1.1",com.liferay.portal.kernel.servic
 e.configuration.servlet;version="1.1.0";uses:="com.liferay.portal.ker
 nel.service.configuration,javax.servlet",com.liferay.portal.kernel.se
 rvice.http;version="1.0.0";uses:="com.liferay.portal.kernel.security.
 auth,com.liferay.portal.kernel.util",com.liferay.portal.kernel.servic
 e.permission;version="2.0.0";uses:="com.liferay.portal.kernel.excepti
 on,com.liferay.portal.kernel.model,com.liferay.portal.kernel.security
 .auth,com.liferay.portal.kernel.security.permission,javax.portlet,jav
 ax.servlet.http",com.liferay.portal.kernel.service.persistence;versio
 n="6.11.0";uses:="com.liferay.petra.sql.dsl.query,com.liferay.portal.
 kernel.dao.orm,com.liferay.portal.kernel.exception,com.liferay.portal
 .kernel.model,com.liferay.portal.kernel.service,com.liferay.portal.ke
 rnel.service.persistence.change.tracking,com.liferay.portal.kernel.ut
 il,javax.sql",com.liferay.portal.kernel.service.persistence.change.tr
 acking;version="1.3.0";uses:="com.liferay.portal.kernel.change.tracki
 ng,com.liferay.portal.kernel.model.change.tracking,com.liferay.portal
 .kernel.service.persistence",com.liferay.portal.kernel.service.persis
 tence.change.tracking.helper;version="1.1.0";uses:="com.liferay.porta
 l.kernel.model.change.tracking",com.liferay.portal.kernel.service.per
 sistence.impl;version="3.2.0";uses:="com.liferay.petra.sql.dsl,com.li
 feray.petra.sql.dsl.query,com.liferay.petra.string,com.liferay.portal
 .kernel.configuration,com.liferay.portal.kernel.dao.db,com.liferay.po
 rtal.kernel.dao.orm,com.liferay.portal.kernel.exception,com.liferay.p
 ortal.kernel.model,com.liferay.portal.kernel.service,com.liferay.port
 al.kernel.service.persistence,com.liferay.portal.kernel.util,javax.sq
 l",com.liferay.portal.kernel.service.version;version="1.1.0";uses:="c
 om.liferay.portal.kernel.exception,com.liferay.portal.kernel.model.ve
 rsion",com.liferay.portal.kernel.servlet;version="8.6.0";uses:="com.l
 iferay.portal.kernel.log,com.liferay.portal.kernel.util,javax.portlet
 ,javax.servlet,javax.servlet.http",com.liferay.portal.kernel.servlet.
 filters.compoundsessionid;version="7.0.0";uses:="com.liferay.portal.k
 ernel.servlet,javax.servlet.http",com.liferay.portal.kernel.servlet.f
 ilters.invoker;version="9.0.0";uses:="com.liferay.portal.kernel.util,
 javax.servlet,javax.servlet.http",com.liferay.portal.kernel.servlet.t
 aglib;version="7.0.0";uses:="com.liferay.portal.kernel.log,com.lifera
 y.portal.kernel.util,javax.servlet,javax.servlet.http",com.liferay.po
 rtal.kernel.servlet.taglib.aui;version="8.1.0";uses:="com.liferay.por
 tal.kernel.util",com.liferay.portal.kernel.servlet.taglib.ui;version=
 "6.7.0";uses:="com.liferay.portal.kernel.exception,com.liferay.portal
 .kernel.model,com.liferay.portal.kernel.theme,com.liferay.portal.kern
 el.util,javax.servlet,javax.servlet.http",com.liferay.portal.kernel.s
 ervlet.taglib.util;version="7.0.0";uses:="com.liferay.petra.string,co
 m.liferay.portal.kernel.util",com.liferay.portal.kernel.settings;vers
 ion="3.1.0";uses:="com.liferay.portal.kernel.exception,com.liferay.po
 rtal.kernel.model,com.liferay.portal.kernel.resource.manager,javax.po
 rtlet",com.liferay.portal.kernel.settings.definition;version="1.0.0",
 com.liferay.portal.kernel.social;version="1.0.0";uses:="com.liferay.p
 ortal.kernel.exception,com.liferay.portal.kernel.model,com.liferay.so
 cial.kernel.service",com.liferay.portal.kernel.spring.aop;version="7.
 0.0";uses:="com.liferay.portal.kernel.service",com.liferay.portal.ker
 nel.spring.orm;version="1.0.0",com.liferay.portal.kernel.spring.osgi;
 version="2.0.0",com.liferay.portal.kernel.spring.util;version="7.0.0"
 ,com.liferay.portal.kernel.struts;version="8.0.0";uses:="javax.servle
 t.http",com.liferay.portal.kernel.systemevent;version="6.2.0",com.lif
 eray.portal.kernel.template;version="9.1.0";uses:="com.liferay.dynami
 c.data.mapping.kernel,com.liferay.portal.kernel.cache,com.liferay.por
 tal.kernel.exception,com.liferay.portal.kernel.xml,javax.servlet,java
 x.servlet.http",com.liferay.portal.kernel.template.comparator;version
 ="6.2.0";uses:="com.liferay.portal.kernel.template",com.liferay.porta
 l.kernel.templateparser;version="7.1.0";uses:="com.liferay.portal.ker
 nel.exception,com.liferay.portal.kernel.theme,com.liferay.portal.kern
 el.xml",com.liferay.portal.kernel.terms.of.use;version="1.0.1";uses:=
 "javax.servlet.http",com.liferay.portal.kernel.theme;version="3.2.0";
 uses:="com.liferay.mobile.device.rules.kernel,com.liferay.portal.kern
 el.exception,com.liferay.portal.kernel.json,com.liferay.portal.kernel
 .mobile.device,com.liferay.portal.kernel.model,com.liferay.portal.ker
 nel.module.configuration,com.liferay.portal.kernel.portlet.configurat
 ion.icon,com.liferay.portal.kernel.portlet.toolbar,com.liferay.portal
 .kernel.security.permission,com.liferay.portal.kernel.util,javax.port
 let,javax.servlet.http",com.liferay.portal.kernel.transaction;version
 ="8.1.0",com.liferay.portal.kernel.trash;version="9.0.0";uses:="com.l
 iferay.asset.kernel.model,com.liferay.portal.kernel.exception,com.lif
 eray.portal.kernel.model,com.liferay.portal.kernel.search,com.liferay
 .portal.kernel.search.filter,com.liferay.portal.kernel.security.permi
 ssion,com.liferay.portal.kernel.service,com.liferay.portal.kernel.uti
 l,com.liferay.trash.kernel.model,javax.portlet,javax.servlet,javax.se
 rvlet.http",com.liferay.portal.kernel.tree;version="2.1.1";uses:="com
 .liferay.portal.kernel.exception,com.liferay.portal.kernel.model",com
 .liferay.portal.kernel.upgrade;version="8.8.0";uses:="com.liferay.por
 tal.kernel.dao.db,com.liferay.portal.kernel.exception,com.liferay.por
 tal.kernel.resource.bundle,com.liferay.portal.kernel.service,com.life
 ray.portal.kernel.upgrade.util,com.liferay.portal.kernel.upgrade.v6_2
 _0,com.liferay.portal.kernel.util,com.liferay.portal.kernel.xml,javax
 .portlet",com.liferay.portal.kernel.upgrade.util;version="7.2.0";uses
 :="com.liferay.portal.kernel.model,com.liferay.portal.kernel.upgrade,
 com.liferay.portal.kernel.version",com.liferay.portal.kernel.upgrade.
 v6_2_0;version="8.5.0";uses:="com.liferay.portal.kernel.upgrade",com.
 liferay.portal.kernel.upload;version="8.2.0";uses:="com.liferay.porta
 l.kernel.exception,javax.portlet,javax.servlet.http",com.liferay.port
 al.kernel.url;version="1.0.0";uses:="javax.servlet",com.liferay.porta
 l.kernel.util;version="10.42.0";uses:="com.liferay.expando.kernel.mod
 el,com.liferay.mail.kernel.model,com.liferay.petra.process,com.lifera
 y.petra.sql.dsl.query.sort,com.liferay.portal.kernel.configuration,co
 m.liferay.portal.kernel.dao.jdbc.aop,com.liferay.portal.kernel.except
 ion,com.liferay.portal.kernel.group.capability,com.liferay.portal.ker
 nel.io,com.liferay.portal.kernel.io.unsync,com.liferay.portal.kernel.
 json,com.liferay.portal.kernel.model,com.liferay.portal.kernel.portle
 t,com.liferay.portal.kernel.repository.model,com.liferay.portal.kerne
 l.resource.bundle,com.liferay.portal.kernel.security.permission,com.l
 iferay.portal.kernel.service,com.liferay.portal.kernel.settings,com.l
 iferay.portal.kernel.spring.osgi,com.liferay.portal.kernel.theme,com.
 liferay.portal.kernel.upload,com.liferay.portal.kernel.xml,javax.mail
 ,javax.mail.internet,javax.portlet,javax.servlet,javax.servlet.http,j
 avax.sql",com.liferay.portal.kernel.util.comparator;version="3.1.0";u
 ses:="com.liferay.portal.kernel.model,com.liferay.portal.kernel.portl
 et.configuration.icon,com.liferay.portal.kernel.util,javax.servlet",c
 om.liferay.portal.kernel.uuid;version="6.2.0",com.liferay.portal.kern
 el.verify.model;version="2.0.0",com.liferay.portal.kernel.version;ver
 sion="1.0.0",com.liferay.portal.kernel.view.count;version="1.2.0";use
 s:="com.liferay.petra.sql.dsl,com.liferay.portal.kernel.exception",co
 m.liferay.portal.kernel.webcache;version="6.2.0";uses:="com.liferay.p
 ortal.kernel.exception",com.liferay.portal.kernel.webdav;version="8.0
 .0";uses:="com.liferay.portal.kernel.exception,com.liferay.portal.ker
 nel.lock,com.liferay.portal.kernel.model,com.liferay.portal.kernel.se
 curity.permission,com.liferay.portal.kernel.webdav.methods,com.lifera
 y.portal.kernel.xml,javax.servlet.http",com.liferay.portal.kernel.web
 dav.methods;version="6.2.0";uses:="com.liferay.portal.kernel.webdav,j
 avax.servlet.http",com.liferay.portal.kernel.webserver;version="1.0.0
 ",com.liferay.portal.kernel.words;version="1.0.2";uses:="com.liferay.
 portal.kernel.jazzy",com.liferay.portal.kernel.workflow;version="9.6.
 0";uses:="com.liferay.asset.kernel.model,com.liferay.portal.kernel.ex
 ception,com.liferay.portal.kernel.messaging.proxy,com.liferay.portal.
 kernel.model,com.liferay.portal.kernel.portlet,com.liferay.portal.ker
 nel.service,com.liferay.portal.kernel.util,com.liferay.portal.kernel.
 workflow.search,javax.portlet,javax.servlet.http",com.liferay.portal.
 kernel.workflow.comparator;version="7.3.0";uses:="com.liferay.portal.
 kernel.messaging.proxy,com.liferay.portal.kernel.util,com.liferay.por
 tal.kernel.workflow",com.liferay.portal.kernel.workflow.messaging;ver
 sion="7.0.0";uses:="com.liferay.portal.kernel.messaging",com.liferay.
 portal.kernel.workflow.permission;version="7.0.0";uses:="com.liferay.
 portal.kernel.security.permission",com.liferay.portal.kernel.workflow
 .search;version="1.0.0";uses:="com.liferay.portal.kernel.workflow",co
 m.liferay.portal.kernel.xml;version="7.0.2";uses:="org.xml.sax",com.l
 iferay.portal.kernel.xml.simple;version="6.2.0",com.liferay.portal.ke
 rnel.xmlrpc;version="6.2.0";uses:="com.liferay.portal.kernel.exceptio
 n",com.liferay.portal.kernel.xuggler;version="7.1.0";uses:="com.lifer
 ay.portal.kernel.exception",com.liferay.portal.kernel.zip;version="6.
 4.2",com.liferay.portlet.configuration.kernel.util;version="1.0.0";us
 es:="javax.portlet",com.liferay.ratings.kernel;version="1.2.0",com.li
 feray.ratings.kernel.definition;version="1.1.0";uses:="com.liferay.po
 rtal.kernel.exception,com.liferay.ratings.kernel",com.liferay.ratings
 .kernel.display.context;version="1.0.0";uses:="com.liferay.portal.ker
 nel.util,com.liferay.ratings.kernel,javax.portlet,javax.servlet.http"
 ,com.liferay.ratings.kernel.exception;version="1.0.0";uses:="com.life
 ray.portal.kernel.exception",com.liferay.ratings.kernel.model;version
 ="2.4.0";uses:="com.liferay.exportimport.kernel.lar,com.liferay.petra
 .sql.dsl,com.liferay.petra.sql.dsl.base,com.liferay.portal.kernel.ann
 otation,com.liferay.portal.kernel.bean,com.liferay.portal.kernel.mode
 l,com.liferay.portal.kernel.model.change.tracking,com.liferay.portal.
 kernel.model.wrapper,com.liferay.portal.kernel.util",com.liferay.rati
 ngs.kernel.service;version="2.7.0";uses:="com.liferay.exportimport.ke
 rnel.lar,com.liferay.petra.function,com.liferay.petra.sql.dsl.query,c
 om.liferay.portal.kernel.change.tracking,com.liferay.portal.kernel.da
 o.orm,com.liferay.portal.kernel.exception,com.liferay.portal.kernel.j
 sonwebservice,com.liferay.portal.kernel.model,com.liferay.portal.kern
 el.search,com.liferay.portal.kernel.security.access.control,com.lifer
 ay.portal.kernel.service,com.liferay.portal.kernel.service.change.tra
 cking,com.liferay.portal.kernel.service.persistence,com.liferay.porta
 l.kernel.service.persistence.change.tracking,com.liferay.portal.kerne
 l.systemevent,com.liferay.portal.kernel.transaction,com.liferay.porta
 l.kernel.util,com.liferay.ratings.kernel.model",com.liferay.ratings.k
 ernel.service.persistence;version="4.2.0";uses:="com.liferay.portal.k
 ernel.dao.orm,com.liferay.portal.kernel.service,com.liferay.portal.ke
 rnel.service.persistence,com.liferay.portal.kernel.service.persistenc
 e.change.tracking,com.liferay.portal.kernel.util,com.liferay.ratings.
 kernel.exception,com.liferay.ratings.kernel.model",com.liferay.rating
 s.kernel.transformer;version="1.0.0";uses:="com.liferay.portal.kernel
 .dao.orm,com.liferay.portal.kernel.exception,com.liferay.portal.kerne
 l.util,com.liferay.ratings.kernel,com.liferay.ratings.kernel.model,ja
 vax.portlet",com.liferay.roles.admin.kernel.util;version="2.0.0";uses
 :="com.liferay.portal.kernel.model",com.liferay.sites.kernel.util;ver
 sion="1.4.0";uses:="com.liferay.portal.kernel.exception,com.liferay.p
 ortal.kernel.model,com.liferay.portal.kernel.security.permission,com.
 liferay.portal.kernel.service,javax.portlet,javax.servlet.http",com.l
 iferay.social.kernel.exception;version="1.0.0";uses:="com.liferay.por
 tal.kernel.exception",com.liferay.social.kernel.model;version="3.4.0"
 ;uses:="com.liferay.asset.kernel.model,com.liferay.petra.sql.dsl,com.
 liferay.petra.sql.dsl.base,com.liferay.portal.kernel.annotation,com.l
 iferay.portal.kernel.bean,com.liferay.portal.kernel.exception,com.lif
 eray.portal.kernel.json,com.liferay.portal.kernel.model,com.liferay.p
 ortal.kernel.model.change.tracking,com.liferay.portal.kernel.model.wr
 apper,com.liferay.portal.kernel.resource.bundle,com.liferay.portal.ke
 rnel.security.permission,com.liferay.portal.kernel.service,com.lifera
 y.portal.kernel.theme,com.liferay.portal.kernel.util",com.liferay.soc
 ial.kernel.model.impl;version="1.0.0";uses:="com.liferay.portal.kerne
 l.exception,com.liferay.portal.kernel.security.permission,com.liferay
 .portal.kernel.service,com.liferay.portal.kernel.theme,com.liferay.so
 cial.kernel.model",com.liferay.social.kernel.service;version="1.10.0"
 ;uses:="com.liferay.asset.kernel.model,com.liferay.petra.function,com
 .liferay.petra.sql.dsl.query,com.liferay.portal.kernel.change.trackin
 g,com.liferay.portal.kernel.dao.orm,com.liferay.portal.kernel.excepti
 on,com.liferay.portal.kernel.json,com.liferay.portal.kernel.jsonwebse
 rvice,com.liferay.portal.kernel.messaging.async,com.liferay.portal.ke
 rnel.model,com.liferay.portal.kernel.search,com.liferay.portal.kernel
 .security.access.control,com.liferay.portal.kernel.service,com.lifera
 y.portal.kernel.service.change.tracking,com.liferay.portal.kernel.ser
 vice.persistence,com.liferay.portal.kernel.service.persistence.change
 .tracking,com.liferay.portal.kernel.theme,com.liferay.portal.kernel.t
 ransaction,com.liferay.portal.kernel.util,com.liferay.social.kernel.m
 odel",com.liferay.social.kernel.service.permission;version="1.0.0";us
 es:="com.liferay.portal.kernel.exception,com.liferay.portal.kernel.se
 curity.permission",com.liferay.social.kernel.service.persistence;vers
 ion="4.2.0";uses:="com.liferay.portal.kernel.dao.orm,com.liferay.port
 al.kernel.service,com.liferay.portal.kernel.service.persistence,com.l
 iferay.portal.kernel.service.persistence.change.tracking,com.liferay.
 portal.kernel.util,com.liferay.social.kernel.exception,com.liferay.so
 cial.kernel.model",com.liferay.social.kernel.util;version="1.0.0";use
 s:="com.liferay.portal.kernel.service,com.liferay.social.kernel.model
 ,javax.servlet.http",com.liferay.social.kernel.util.comparator;versio
 n="1.1.0";uses:="com.liferay.portal.kernel.util,com.liferay.social.ke
 rnel.model",com.liferay.trash.kernel.exception;version="1.1.0";uses:=
 "com.liferay.portal.kernel.exception",com.liferay.trash.kernel.model;
 version="1.1.0";uses:="com.liferay.expando.kernel.model,com.liferay.p
 ortal.kernel.annotation,com.liferay.portal.kernel.bean,com.liferay.po
 rtal.kernel.model,com.liferay.portal.kernel.service,com.liferay.porta
 l.kernel.util",com.liferay.trash.kernel.service;version="1.4.1";uses:
 ="com.liferay.portal.kernel.change.tracking,com.liferay.portal.kernel
 .dao.orm,com.liferay.portal.kernel.exception,com.liferay.portal.kerne
 l.jsonwebservice,com.liferay.portal.kernel.model,com.liferay.portal.k
 ernel.search,com.liferay.portal.kernel.security.access.control,com.li
 feray.portal.kernel.security.auth,com.liferay.portal.kernel.service,c
 om.liferay.portal.kernel.transaction,com.liferay.portal.kernel.util,c
 om.liferay.trash.kernel.model",com.liferay.trash.kernel.service.persi
 stence;version="1.3.0";uses:="com.liferay.portal.kernel.dao.orm,com.l
 iferay.portal.kernel.service,com.liferay.portal.kernel.service.persis
 tence,com.liferay.portal.kernel.util,com.liferay.trash.kernel.excepti
 on,com.liferay.trash.kernel.model",com.liferay.trash.kernel.util;vers
 ion="1.0.2";uses:="com.liferay.portal.kernel.exception,com.liferay.po
 rtal.kernel.model,com.liferay.portal.kernel.portlet,com.liferay.porta
 l.kernel.search,com.liferay.portal.kernel.theme,com.liferay.portal.ke
 rnel.util,com.liferay.trash.kernel.model,javax.portlet,javax.servlet.
 http",com.liferay.trash.kernel.util.comparator;version="1.1.0";uses:=
 "com.liferay.portal.kernel.util,com.liferay.trash.kernel.model",com.l
 iferay.users.admin.kernel.file.uploads;version="1.0.1",com.liferay.us
 ers.admin.kernel.organization.types;version="1.0.1",com.liferay.users
 .admin.kernel.util;version="2.0.0";uses:="com.liferay.portal.kernel.e
 xception,com.liferay.portal.kernel.model,com.liferay.portal.kernel.se
 arch,com.liferay.portal.kernel.security.permission,com.liferay.portal
 .kernel.util,javax.portlet,javax.servlet.http"
Git-Descriptor: 805522c65af02-dirty
Git-SHA: 805522c65af02becca5b2478da4b38aa5a3ba253
Import-Package: com.liferay.announcements.kernel.exception;version="[1
 .0,2)",com.liferay.announcements.kernel.model;version="[2.2,2.3)",com
 .liferay.asset.kernel;version="[1.1,2)",com.liferay.asset.kernel.exce
 ption;version="[2.1,3)",com.liferay.asset.kernel.model;version="[3.6,
 3.7)",com.liferay.asset.kernel.service;version="[2.12,2.13)",com.life
 ray.asset.kernel.service.persistence;version="[3.6,4)",com.liferay.co
 unter.kernel.service;version="[2.1,2.2)",com.liferay.document.library
 .kernel.exception;version="[3.1,4)",com.liferay.document.library.kern
 el.model;version="[3.2,3.3)",com.liferay.document.library.kernel.serv
 ice;version="[3.9,3.10)",com.liferay.document.library.kernel.store;ve
 rsion="[2.1,3)",com.liferay.document.library.kernel.util;version="[2.
 0,3)",com.liferay.dynamic.data.mapping.kernel;version="[1.4,2)",com.l
 iferay.expando.kernel.exception;version="[1.2,2)",com.liferay.expando
 .kernel.model;version="[3.4,3.5)",com.liferay.expando.kernel.util;ver
 sion="[2.0,3)",com.liferay.exportimport.kernel.exception;version="[1.
 4,2)",com.liferay.exportimport.kernel.lar;version="[3.7,4)",com.lifer
 ay.exportimport.kernel.lifecycle;version="[2.0,3)",com.liferay.export
 import.kernel.model;version="[2.2,2.3)",com.liferay.exportimport.kern
 el.service;version="[2.7,2.8)",com.liferay.exportimport.kernel.stagin
 g;version="[2.3,3)",com.liferay.exportimport.kernel.staging.permissio
 n;version="[1.0,2)",com.liferay.layout.admin.kernel.model;version="[1
 .0,2)",com.liferay.mail.kernel.model;version="[1.1,2)",com.liferay.ma
 il.kernel.service;version="[1.0,2)",com.liferay.mail.kernel.template;
 version="[2.0,3)",com.liferay.mobile.device.rules.kernel;version="[1.
 0,2)",com.liferay.petra.concurrent,com.liferay.petra.executor,com.lif
 eray.petra.function,com.liferay.petra.io,com.liferay.petra.io.unsync,
 com.liferay.petra.lang,com.liferay.petra.memory,com.liferay.petra.nio
 ,com.liferay.petra.process,com.liferay.petra.reflect,com.liferay.petr
 a.sql.dsl,com.liferay.petra.sql.dsl.ast,com.liferay.petra.sql.dsl.bas
 e,com.liferay.petra.sql.dsl.expression,com.liferay.petra.sql.dsl.quer
 y,com.liferay.petra.sql.dsl.query.sort,com.liferay.petra.sql.dsl.spi.
 ast,com.liferay.petra.sql.dsl.spi.expression,com.liferay.petra.sql.ds
 l.spi.query,com.liferay.petra.string,com.liferay.portal.kernel.annota
 tion;version="[7.0,8)",com.liferay.portal.kernel.application.type;ver
 sion="[1.0,2)",com.liferay.portal.kernel.atom;version="[7.0,8)",com.l
 iferay.portal.kernel.backgroundtask;version="[8.1,9)",com.liferay.por
 tal.kernel.backgroundtask.display;version="[2.0,2.1)",com.liferay.por
 tal.kernel.bean;version="[8.0,9)",com.liferay.portal.kernel.cache;ver
 sion="[9.1,9.2)",com.liferay.portal.kernel.cache.key;version="[6.3,7)
 ",com.liferay.portal.kernel.cache.thread.local;version="[2.0,3)",com.
 liferay.portal.kernel.change.tracking;version="[1.5,2)",com.liferay.p
 ortal.kernel.cluster;version="[8.0,9)",com.liferay.portal.kernel.comm
 ent;version="[3.0,3.1)",com.liferay.portal.kernel.concurrent;version=
 "[8.0,9)",com.liferay.portal.kernel.configuration;version="[6.3,7)",c
 om.liferay.portal.kernel.dao.db;version="[7.10,8)",com.liferay.portal
 .kernel.dao.jdbc.aop;version="[7.0,8)",com.liferay.portal.kernel.dao.
 orm;version="[9.8,9.9)",com.liferay.portal.kernel.dao.search;version=
 "[8.0,9)",com.liferay.portal.kernel.deploy;version="[6.3,7)",com.life
 ray.portal.kernel.deploy.auto.context;version="[6.3,7)",com.liferay.p
 ortal.kernel.deploy.hot;version="[7.1,8)",com.liferay.portal.kernel.d
 isplay.context;version="[1.0,2)",com.liferay.portal.kernel.exception;
 version="[9.7,10)",com.liferay.portal.kernel.group.capability;version
 ="[1.0,2)",com.liferay.portal.kernel.image;version="[7.2,8)",com.life
 ray.portal.kernel.increment;version="[7.1,8)",com.liferay.portal.kern
 el.io;version="[8.0,9)",com.liferay.portal.kernel.io.unsync;version="
 [7.0,8)",com.liferay.portal.kernel.jazzy;version="[1.0,2)",com.lifera
 y.portal.kernel.jmx.model;version="[7.0,8)",com.liferay.portal.kernel
 .jndi;version="[7.0,8)",com.liferay.portal.kernel.json;version="[8.11
 ,9)",com.liferay.portal.kernel.jsonwebservice;version="[7.0,8)",com.l
 iferay.portal.kernel.language;version="[8.3,9)",com.liferay.portal.ke
 rnel.language.constants;version="[1.0,2)",com.liferay.portal.kernel.l
 ayoutconfiguration.util.xml;version="[1.0,2)",com.liferay.portal.kern
 el.license;version="[1.0,2)",com.liferay.portal.kernel.lock;version="
 [7.3,8)",com.liferay.portal.kernel.log;version="[7.0,8)",com.liferay.
 portal.kernel.management;version="[8.0,9)",com.liferay.portal.kernel.
 messaging;version="[9.1,10)",com.liferay.portal.kernel.messaging.asyn
 c;version="[6.2,7)",com.liferay.portal.kernel.messaging.config;versio
 n="[8.1,9)",com.liferay.portal.kernel.messaging.proxy;version="[8.2,9
 )",com.liferay.portal.kernel.messaging.sender;version="[8.0,9)",com.l
 iferay.portal.kernel.mobile.device;version="[9.0,9.1)",com.liferay.po
 rtal.kernel.model;version="[5.7,5.8)",com.liferay.portal.kernel.model
 .adapter.builder;version="[1.0,2)",com.liferay.portal.kernel.model.ch
 ange.tracking;version="[1.0,2)",com.liferay.portal.kernel.model.impl;
 version="[3.4,4)",com.liferay.portal.kernel.model.portlet;version="[2
 .0,3)",com.liferay.portal.kernel.model.version;version="[2.0,3)",com.
 liferay.portal.kernel.model.wrapper;version="[1.1,2)",com.liferay.por
 tal.kernel.module.configuration;version="[2.0,3)",com.liferay.portal.
 kernel.module.framework.service;version="[1.0,2)",com.liferay.portal.
 kernel.nio.intraband;version="[7.0,8)",com.liferay.portal.kernel.nio.
 intraband.blocking;version="[6.3,7)",com.liferay.portal.kernel.nio.in
 traband.nonblocking;version="[6.3,7)",com.liferay.portal.kernel.nio.i
 ntraband.proxy.annotation;version="[1.0,2)",com.liferay.portal.kernel
 .nio.intraband.rpc;version="[7.0,8)",com.liferay.portal.kernel.nio.in
 traband.welder;version="[6.2,7)",com.liferay.portal.kernel.nio.intrab
 and.welder.fifo;version="[6.2,7)",com.liferay.portal.kernel.nio.intra
 band.welder.socket;version="[6.2,7)",com.liferay.portal.kernel.notifi
 cations;version="[8.0,9)",com.liferay.portal.kernel.plugin;version="[
 6.4,7)",com.liferay.portal.kernel.poller;version="[7.0,8)",com.lifera
 y.portal.kernel.pop;version="[6.3,7)",com.liferay.portal.kernel.portl
 et;version="[10.6,10.7)",com.liferay.portal.kernel.portlet.bridges.mv
 c.constants;version="[1.0,2)",com.liferay.portal.kernel.portlet.confi
 guration.icon;version="[1.1,2)",com.liferay.portal.kernel.portlet.con
 figuration.icon.locator;version="[1.0,2)",com.liferay.portal.kernel.p
 ortlet.toolbar;version="[1.0,2)",com.liferay.portal.kernel.portlet.to
 olbar.contributor;version="[1.1,2)",com.liferay.portal.kernel.portlet
 .toolbar.contributor.locator;version="[1.0,2)",com.liferay.portal.ker
 nel.process;version="[8.0,9)",com.liferay.portal.kernel.process.local
 ;version="[2.0,3)",com.liferay.portal.kernel.repository;version="[9.2
 ,10)",com.liferay.portal.kernel.repository.capabilities;version="[2.0
 ,2.1)",com.liferay.portal.kernel.repository.event;version="[1.1,2)",c
 om.liferay.portal.kernel.repository.http.header.customizer;version="[
 1.0,2)",com.liferay.portal.kernel.repository.model;version="[8.0,8.1)
 ",com.liferay.portal.kernel.repository.registry;version="[1.1,2)",com
 .liferay.portal.kernel.repository.search;version="[7.0,8)",com.lifera
 y.portal.kernel.resiliency;version="[6.2,7)",com.liferay.portal.kerne
 l.resiliency.mpi;version="[6.3,7)",com.liferay.portal.kernel.resilien
 cy.spi;version="[6.3,7)",com.liferay.portal.kernel.resiliency.spi.age
 nt;version="[6.2,7)",com.liferay.portal.kernel.resiliency.spi.provide
 r;version="[6.2,7)",com.liferay.portal.kernel.resiliency.spi.remote;v
 ersion="[7.0,8)",com.liferay.portal.kernel.resource;version="[6.3,7)"
 ,com.liferay.portal.kernel.resource.bundle;version="[1.0,1.1)",com.li
 feray.portal.kernel.resource.manager;version="[1.0,2)",com.liferay.po
 rtal.kernel.scheduler;version="[9.1,10)",com.liferay.portal.kernel.sc
 heduler.messaging;version="[8.0,9)",com.liferay.portal.kernel.search;
 version="[9.7,9.8)",com.liferay.portal.kernel.search.background.task;
 version="[2.0,3)",com.liferay.portal.kernel.search.dummy;version="[3.
 0,4)",com.liferay.portal.kernel.search.facet;version="[8.0,9)",com.li
 feray.portal.kernel.search.facet.collector;version="[6.3,7)",com.life
 ray.portal.kernel.search.facet.config;version="[8.0,9)",com.liferay.p
 ortal.kernel.search.facet.util;version="[7.0,8)",com.liferay.portal.k
 ernel.search.filter;version="[1.0,2)",com.liferay.portal.kernel.searc
 h.generic;version="[3.0,4)",com.liferay.portal.kernel.search.geolocat
 ion;version="[1.0,2)",com.liferay.portal.kernel.search.highlight;vers
 ion="[1.0,2)",com.liferay.portal.kernel.search.hits;version="[2.0,3)"
 ,com.liferay.portal.kernel.search.messaging;version="[7.0,8)",com.lif
 eray.portal.kernel.search.query;version="[1.0,2)",com.liferay.portal.
 kernel.search.result;version="[1.0,2)",com.liferay.portal.kernel.sear
 ch.suggest;version="[2.0,3)",com.liferay.portal.kernel.security;versi
 on="[6.2,7)",com.liferay.portal.kernel.security.auth;version="[2.7,3)
 ",com.liferay.portal.kernel.security.auth.tunnel;version="[1.0,2)",co
 m.liferay.portal.kernel.security.auth.verifier;version="[1.1,2)",com.
 liferay.portal.kernel.security.permission;version="[3.5,3.6)",com.lif
 eray.portal.kernel.security.permission.contributor;version="[1.0,2)",
 com.liferay.portal.kernel.security.permission.propagator;version="[1.
 0,2)",com.liferay.portal.kernel.security.permission.resource.definiti
 on;version="[1.0,2)",com.liferay.portal.kernel.security.pwd;version="
 [2.0,3)",com.liferay.portal.kernel.security.xml;version="[1.1,2)",com
 .liferay.portal.kernel.service.change.tracking;version="[1.0,2)",com.
 liferay.portal.kernel.service.configuration;version="[1.1,1.2)",com.l
 iferay.portal.kernel.service.persistence;version="[6.11,7)",com.lifer
 ay.portal.kernel.service.persistence.change.tracking;version="[1.3,2)
 ",com.liferay.portal.kernel.servlet.filters.compoundsessionid;version
 ="[7.0,8)",com.liferay.portal.kernel.servlet.filters.invoker;version=
 "[9.0,10)",com.liferay.portal.kernel.servlet.taglib.ui;version="[6.7,
 7)",com.liferay.portal.kernel.settings;version="[3.1,4)",com.liferay.
 portal.kernel.spring.aop;version="[7.0,8)",com.liferay.portal.kernel.
 spring.orm;version="[1.0,2)",com.liferay.portal.kernel.spring.osgi;ve
 rsion="[2.0,3)",com.liferay.portal.kernel.systemevent;version="[6.2,7
 )",com.liferay.portal.kernel.template;version="[9.1,9.2)",com.liferay
 .portal.kernel.theme;version="[3.2,4)",com.liferay.portal.kernel.tran
 saction;version="[8.1,8.2)",com.liferay.portal.kernel.trash;version="
 [9.0,9.1)",com.liferay.portal.kernel.upgrade;version="[8.8,9)",com.li
 feray.portal.kernel.upgrade.util;version="[7.2,8)",com.liferay.portal
 .kernel.upgrade.v6_2_0;version="[8.5,9)",com.liferay.portal.kernel.up
 load;version="[8.2,9)",com.liferay.portal.kernel.util.comparator;vers
 ion="[3.1,4)",com.liferay.portal.kernel.uuid;version="[6.2,7)",com.li
 feray.portal.kernel.version;version="[1.0,2)",com.liferay.portal.kern
 el.webdav;version="[8.0,9)",com.liferay.portal.kernel.webdav.methods;
 version="[6.2,7)",com.liferay.portal.kernel.webserver;version="[1.0,2
 )",com.liferay.portal.kernel.workflow;version="[9.6,10)",com.liferay.
 portal.kernel.workflow.permission;version="[7.0,8)",com.liferay.porta
 l.kernel.workflow.search;version="[1.0,2)",com.liferay.portal.kernel.
 xml;version="[7.0,7.1)",com.liferay.portal.kernel.xml.simple;version=
 "[6.2,7)",com.liferay.portal.kernel.xmlrpc;version="[6.2,7)",com.life
 ray.portal.kernel.zip;version="[6.4,7)",com.liferay.ratings.kernel;ve
 rsion="[1.2,2)",com.liferay.ratings.kernel.definition;version="[1.1,2
 )",com.liferay.ratings.kernel.exception;version="[1.0,2)",com.liferay
 .ratings.kernel.model;version="[2.4,2.5)",com.liferay.ratings.kernel.
 service;version="[2.7,2.8)",com.liferay.ratings.kernel.transformer;ve
 rsion="[1.0,2)",com.liferay.registry,com.liferay.registry.collections
 ,com.liferay.registry.dependency,com.liferay.registry.util,com.lifera
 y.sites.kernel.util;version="[1.4,2)",com.liferay.social.kernel.excep
 tion;version="[1.0,2)",com.liferay.social.kernel.model;version="[3.4,
 3.5)",com.liferay.social.kernel.service;version="[1.10,1.11)",com.lif
 eray.social.kernel.service.persistence;version="[4.2,5)",com.liferay.
 trash.kernel.exception;version="[1.1,2)",com.liferay.trash.kernel.mod
 el;version="[1.1,1.2)",com.liferay.trash.kernel.util;version="[1.0,2)
 ",com.liferay.users.admin.kernel.file.uploads;version="[1.0,2)",javax
 .mail,javax.mail.internet,javax.management,javax.naming,javax.naming.
 directory,javax.net.ssl,javax.portlet,javax.portlet.annotations,javax
 .portlet.filter,javax.security.auth,javax.security.auth.callback,java
 x.security.auth.login,javax.security.auth.spi,javax.servlet,javax.ser
 vlet.http,javax.sql,javax.xml.namespace,javax.xml.parsers,javax.xml.s
 tream,javax.xml.transform,org.xml.sax
Include-Resource: classes
Javac-Compiler: modern
Javac-Debug: on
Javac-Deprecation: off
Javac-Encoding: ISO-8859-1
Liferay-Portal-Build-Date: Fri Nov 10 00:00:00 PST 2023
Liferay-Portal-Build-Number: 7310
Liferay-Portal-Build-Time: Wed Apr 10 12:45:25 PDT 2024
Liferay-Portal-Code-Name: Athanasius
Liferay-Portal-Parent-Build-Number: 7310
Liferay-Portal-Release-Info: Liferay Digital Experience Platform 7.3.1
 0 Update 35 (Athanasius / Build 7310 / November 10, 2023)
Liferay-Portal-Server-Info: Liferay Digital Experience Platform / 7.3.
 10
Liferay-Portal-Version: 7.3.10
Liferay-Portal-Version-Display-Name: 7.3.10 Update 35
Private-Package: com.liferay.portal.kernel.internal.cache,com.liferay.
 portal.kernel.internal.dao.jdbc,com.liferay.portal.kernel.internal.se
 curity.access.control,com.liferay.portal.kernel.internal.security.per
 mission.resource,com.liferay.portal.kernel.internal.service.permissio
 n,com.liferay.portal.kernel.internal.service.persistence,com.liferay.
 portal.kernel.internal.service.persistence.change.tracking,com.lifera
 y.portal.kernel.internal.servlet,com.liferay.portal.kernel.internal.s
 pring.transaction,com.liferay.portal.kernel.internal.util
Require-Capability: osgi.ee;filter:="(&(osgi.ee=JavaSE)(version=1.8))"
Tool: Bnd-3.5.0.201709291849
